<template>
    <div class="flex items-center justify-between mb-4">
        <Breadcrumb nameRouteHome="admin" textRouteHome="Trang chủ">
            <ItemBreadcrumb isRouteLink nameRoute="teacher-course">
                Khóa học của tôi
            </ItemBreadcrumb>
            <ItemBreadcrumb
                >Cập nhật: {{ course ? course.name : "" }}</ItemBreadcrumb
            >
        </Breadcrumb>
    </div>
    <div class="card">
        <div class="card-body">
            <div v-if="isLoading" class="text-center">
                <SpinLoading />
            </div>
            <CourseForm v-else :course="course" />
        </div>
    </div>
</template>

<script>
import { useRoute } from "vue-router";

import useGetCourse from "@/hooks/course/useGetCourse";

import Breadcrumb from "@/components/breadcrumb/Breadcrumb.vue";
import ItemBreadcrumb from "@/components/breadcrumb/ItemBreadcrumb.vue";
import SpinLoading from "@/components/loading/SpinLoading.vue";
import CourseForm from "@/components/course/CourseForm.vue";

export default {
    components: {
        Breadcrumb,
        ItemBreadcrumb,
        SpinLoading,
        CourseForm
    },
    setup() {
        const route = useRoute();
        const { isLoading, course, onGetCourse } = useGetCourse();

        async function getCourse() {
            await onGetCourse(route.params.courseId);
        }
        getCourse();

        return { isLoading, course };
    }
};
</script>
